package smash.appointment.parse;

public class AppointmentSqlExporter extends SqlExporter{

	public String toSql(AppointmentEntry appointment, boolean isFinished) {
		StringBuilder result = new StringBuilder("");

		result.append("insert into web_appointment (");
		result.append("datetime_when, ");
		result.append("length, ");
		result.append("is_finished, ");
		result.append("visit_id) ");

		result.append("values (");
		result.append(getStringVal(appointment.getDay()) + ",");
		result.append(getStringVal(appointment.getDuration()) + ",");
		result.append(isFinished+ ",");
		result.append("(select max(id) from web_visit)");
		result.append(");");

		return result.toString();
	}

}
